#include <kdialog.h>
#include <klocale.h>

#ifndef UI_CDCONFIG_H
#define UI_CDCONFIG_H

#include <qvariant.h>


#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_CdConfig
{
public:
    QVBoxLayout *vboxLayout;
    QCheckBox *kcfg_performCDDBauto;
    QCheckBox *kcfg_autoRip;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *CdConfig)
    {
    CdConfig->setObjectName(QString::fromUtf8("CdConfig"));
    vboxLayout = new QVBoxLayout(CdConfig);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    kcfg_performCDDBauto = new QCheckBox(CdConfig);
    kcfg_performCDDBauto->setObjectName(QString::fromUtf8("kcfg_performCDDBauto"));

    vboxLayout->addWidget(kcfg_performCDDBauto);

    kcfg_autoRip = new QCheckBox(CdConfig);
    kcfg_autoRip->setObjectName(QString::fromUtf8("kcfg_autoRip"));

    vboxLayout->addWidget(kcfg_autoRip);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);


    retranslateUi(CdConfig);

    QSize size(517, 148);
    size = size.expandedTo(CdConfig->minimumSizeHint());
    CdConfig->resize(size);


    QMetaObject::connectSlotsByName(CdConfig);
    } // setupUi

    void retranslateUi(QWidget *CdConfig)
    {
    kcfg_performCDDBauto->setText(tr2i18n("&Perform CDDB lookup automatically", 0));
    kcfg_autoRip->setText(tr2i18n("&Automatically rip all tracks upon a successful CDDB retrieval", 0));
    Q_UNUSED(CdConfig);
    } // retranslateUi

};

namespace Ui {
    class CdConfig: public Ui_CdConfig {};
} // namespace Ui

class CdConfig : public QWidget, public Ui::CdConfig
{
    Q_OBJECT

public:
    CdConfig(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~CdConfig();

protected slots:
    virtual void languageChange();

    void configureAudioCD();


};

#endif // CDCONFIG_H

