#include <kdialog.h>
#include <klocale.h>

#ifndef UI_ENCODERCONFIG_H
#define UI_ENCODERCONFIG_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3ListBox>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QWidget>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_EncoderConfig
{
public:
    QGridLayout *gridLayout;
    Q3ListBox *kcfg_currentEncoder;
    QPushButton *addEncoder;
    QPushButton *removeEncoder;
    QPushButton *configureEncoder;
    QFrame *line1;
    Q3GroupBox *GroupBox3;
    QHBoxLayout *hboxLayout;
    QLabel *TextLabel2_2;
    QLineEdit *kcfg_fileFormat;
    QPushButton *encoderWizardButton;
    QLabel *TextLabel1_2;
    QSpinBox *kcfg_numberOfCpus;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout1;
    QLabel *currentEncoderText;
    QLabel *currentEncoderName;
    QSpacerItem *spacerItem1;
    Q3GroupBox *groupBox3;
    QGridLayout *gridLayout1;
    QSlider *kcfg_NiceLevel;
    QLabel *textLabel2;
    QLabel *textLabel3;
    QLabel *textLabel4;

    void setupUi(QWidget *EncoderConfig)
    {
    EncoderConfig->setObjectName(QString::fromUtf8("EncoderConfig"));
    gridLayout = new QGridLayout(EncoderConfig);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    kcfg_currentEncoder = new Q3ListBox(EncoderConfig);
    kcfg_currentEncoder->setObjectName(QString::fromUtf8("kcfg_currentEncoder"));

    gridLayout->addWidget(kcfg_currentEncoder, 0, 0, 3, 1);

    addEncoder = new QPushButton(EncoderConfig);
    addEncoder->setObjectName(QString::fromUtf8("addEncoder"));

    gridLayout->addWidget(addEncoder, 0, 1, 1, 2);

    removeEncoder = new QPushButton(EncoderConfig);
    removeEncoder->setObjectName(QString::fromUtf8("removeEncoder"));

    gridLayout->addWidget(removeEncoder, 1, 1, 1, 2);

    configureEncoder = new QPushButton(EncoderConfig);
    configureEncoder->setObjectName(QString::fromUtf8("configureEncoder"));

    gridLayout->addWidget(configureEncoder, 2, 1, 1, 2);

    line1 = new QFrame(EncoderConfig);
    line1->setObjectName(QString::fromUtf8("line1"));
    line1->setFrameShape(QFrame::HLine);
    line1->setFrameShadow(QFrame::Sunken);

    gridLayout->addWidget(line1, 4, 0, 1, 3);

    GroupBox3 = new Q3GroupBox(EncoderConfig);
    GroupBox3->setObjectName(QString::fromUtf8("GroupBox3"));
    GroupBox3->setColumnLayout(0, Qt::Vertical);
    GroupBox3->layout()->setSpacing(6);
    GroupBox3->layout()->setMargin(11);
    hboxLayout = new QHBoxLayout(GroupBox3->layout());
    hboxLayout->setAlignment(Qt::AlignTop);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    hboxLayout->setMargin(11);
    hboxLayout->setSpacing(6);
    TextLabel2_2 = new QLabel(GroupBox3);
    TextLabel2_2->setObjectName(QString::fromUtf8("TextLabel2_2"));
    TextLabel2_2->setWordWrap(false);

    hboxLayout->addWidget(TextLabel2_2);

    kcfg_fileFormat = new QLineEdit(GroupBox3);
    kcfg_fileFormat->setObjectName(QString::fromUtf8("kcfg_fileFormat"));

    hboxLayout->addWidget(kcfg_fileFormat);

    encoderWizardButton = new QPushButton(GroupBox3);
    encoderWizardButton->setObjectName(QString::fromUtf8("encoderWizardButton"));

    hboxLayout->addWidget(encoderWizardButton);


    gridLayout->addWidget(GroupBox3, 5, 0, 1, 3);

    TextLabel1_2 = new QLabel(EncoderConfig);
    TextLabel1_2->setObjectName(QString::fromUtf8("TextLabel1_2"));
    TextLabel1_2->setWordWrap(false);

    gridLayout->addWidget(TextLabel1_2, 6, 0, 1, 1);

    kcfg_numberOfCpus = new QSpinBox(EncoderConfig);
    kcfg_numberOfCpus->setObjectName(QString::fromUtf8("kcfg_numberOfCpus"));
    kcfg_numberOfCpus->setMinimum(1);

    gridLayout->addWidget(kcfg_numberOfCpus, 6, 1, 1, 1);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 6, 2, 1, 1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    currentEncoderText = new QLabel(EncoderConfig);
    currentEncoderText->setObjectName(QString::fromUtf8("currentEncoderText"));
    currentEncoderText->setWordWrap(false);

    hboxLayout1->addWidget(currentEncoderText);

    currentEncoderName = new QLabel(EncoderConfig);
    currentEncoderName->setObjectName(QString::fromUtf8("currentEncoderName"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(currentEncoderName->sizePolicy().hasHeightForWidth());
    currentEncoderName->setSizePolicy(sizePolicy);
    currentEncoderName->setFrameShadow(QFrame::Sunken);
    currentEncoderName->setLineWidth(1);
    currentEncoderName->setWordWrap(false);

    hboxLayout1->addWidget(currentEncoderName);


    gridLayout->addLayout(hboxLayout1, 3, 0, 1, 3);

    spacerItem1 = new QSpacerItem(20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem1, 10, 0, 1, 1);

    groupBox3 = new Q3GroupBox(EncoderConfig);
    groupBox3->setObjectName(QString::fromUtf8("groupBox3"));
    groupBox3->setColumnLayout(0, Qt::Vertical);
    groupBox3->layout()->setSpacing(6);
    groupBox3->layout()->setMargin(0);
    gridLayout1 = new QGridLayout(groupBox3->layout());
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    gridLayout1->setMargin(0);
    kcfg_NiceLevel = new QSlider(groupBox3);
    kcfg_NiceLevel->setObjectName(QString::fromUtf8("kcfg_NiceLevel"));
    kcfg_NiceLevel->setMinimum(-19);
    kcfg_NiceLevel->setMaximum(19);
    kcfg_NiceLevel->setSingleStep(5);
    kcfg_NiceLevel->setOrientation(Qt::Horizontal);

    gridLayout1->addWidget(kcfg_NiceLevel, 0, 0, 1, 3);

    textLabel2 = new QLabel(groupBox3);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setWordWrap(false);

    gridLayout1->addWidget(textLabel2, 1, 0, 1, 1);

    textLabel3 = new QLabel(groupBox3);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    textLabel3->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    textLabel3->setWordWrap(false);

    gridLayout1->addWidget(textLabel3, 1, 2, 1, 1);

    textLabel4 = new QLabel(groupBox3);
    textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
    textLabel4->setAlignment(Qt::AlignCenter);
    textLabel4->setWordWrap(false);

    gridLayout1->addWidget(textLabel4, 1, 1, 1, 1);


    gridLayout->addWidget(groupBox3, 9, 0, 1, 3);

    TextLabel1_2->setBuddy(kcfg_numberOfCpus);
    QWidget::setTabOrder(kcfg_currentEncoder, addEncoder);
    QWidget::setTabOrder(addEncoder, removeEncoder);
    QWidget::setTabOrder(removeEncoder, configureEncoder);
    QWidget::setTabOrder(configureEncoder, kcfg_fileFormat);
    QWidget::setTabOrder(kcfg_fileFormat, encoderWizardButton);
    QWidget::setTabOrder(encoderWizardButton, kcfg_numberOfCpus);

    retranslateUi(EncoderConfig);

    QSize size(434, 349);
    size = size.expandedTo(EncoderConfig->minimumSizeHint());
    EncoderConfig->resize(size);

    QObject::connect(kcfg_currentEncoder, SIGNAL(highlighted(QString)), currentEncoderName, SLOT(setText(QString)));
    QObject::connect(encoderWizardButton, SIGNAL(clicked()), EncoderConfig, SLOT(encoderWizard()));

    QMetaObject::connectSlotsByName(EncoderConfig);
    } // setupUi

    void retranslateUi(QWidget *EncoderConfig)
    {
    addEncoder->setText(tr2i18n("&Add...", 0));
    removeEncoder->setText(tr2i18n("&Remove", 0));
    configureEncoder->setText(tr2i18n("&Configure...", 0));
    GroupBox3->setTitle(tr2i18n("Encoded File Location", 0));
    TextLabel2_2->setText(tr2i18n("Location:", 0));
    encoderWizardButton->setText(tr2i18n("&Wizard", 0));
    TextLabel1_2->setText(tr2i18n("&Number of wav files to encode at a time:", 0));
    currentEncoderText->setText(tr2i18n("Current encoder:", 0));
    groupBox3->setTitle(tr2i18n("Encoder Priority", 0));
    textLabel2->setText(tr2i18n("Highest", 0));
    textLabel3->setText(tr2i18n("Lowest", 0));
    textLabel4->setText(tr2i18n("Normal", 0));
    Q_UNUSED(EncoderConfig);
    } // retranslateUi

};

namespace Ui {
    class EncoderConfig: public Ui_EncoderConfig {};
} // namespace Ui

class EncoderConfig : public QWidget, public Ui::EncoderConfig
{
    Q_OBJECT

public:
    EncoderConfig(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~EncoderConfig();

public slots:
    virtual void encoderWizard();

protected slots:
    virtual void languageChange();

};

#endif // ENCODERCONFIG_H

