#include <kdialog.h>
#include <klocale.h>

#ifndef UI_ENCODEROUTPUT_H
#define UI_ENCODEROUTPUT_H

#include <qvariant.h>


#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_EncoderOutput
{
public:
    QVBoxLayout *vboxLayout;
    Q3TextEdit *output;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *buttonOk;

    void setupUi(QDialog *EncoderOutput)
    {
    EncoderOutput->setObjectName(QString::fromUtf8("EncoderOutput"));
    EncoderOutput->setSizeGripEnabled(true);
    vboxLayout = new QVBoxLayout(EncoderOutput);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    output = new Q3TextEdit(EncoderOutput);
    output->setObjectName(QString::fromUtf8("output"));
    output->setEnabled(true);
    output->setWordWrap(Q3TextEdit::WidgetWidth);

    vboxLayout->addWidget(output);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    buttonOk = new QPushButton(EncoderOutput);
    buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
    buttonOk->setAutoDefault(true);
    buttonOk->setDefault(true);

    hboxLayout->addWidget(buttonOk);


    vboxLayout->addLayout(hboxLayout);


    retranslateUi(EncoderOutput);

    QSize size(460, 460);
    size = size.expandedTo(EncoderOutput->minimumSizeHint());
    EncoderOutput->resize(size);

    QObject::connect(buttonOk, SIGNAL(clicked()), EncoderOutput, SLOT(accept()));

    QMetaObject::connectSlotsByName(EncoderOutput);
    } // setupUi

    void retranslateUi(QDialog *EncoderOutput)
    {
    EncoderOutput->setWindowTitle(tr2i18n("Encoder Output", 0));
    output->setText(tr2i18n("The output....", 0));
    buttonOk->setText(tr2i18n("&OK", 0));
    buttonOk->setShortcut(QString());
    Q_UNUSED(EncoderOutput);
    } // retranslateUi

};

namespace Ui {
    class EncoderOutput: public Ui_EncoderOutput {};
} // namespace Ui

class EncoderOutput : public QDialog, public Ui::EncoderOutput
{
    Q_OBJECT

public:
    EncoderOutput(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~EncoderOutput();

protected slots:
    virtual void languageChange();

};

#endif // ENCODEROUTPUT_H

