#include <kdialog.h>
#include <klocale.h>

#ifndef UI_RIPCONFIG_H
#define UI_RIPCONFIG_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "klineedit.h"
#include "kpushbutton.h"
#include "kurlrequester.h"
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_RipConfig
{
public:
    QVBoxLayout *vboxLayout;
    QCheckBox *kcfg_beepAfterRip;
    QHBoxLayout *hboxLayout;
    QLabel *TextLabel14;
    QSpinBox *kcfg_maxWavFiles;
    QCheckBox *kcfg_autoEjectAfterRip;
    QHBoxLayout *hboxLayout1;
    QLabel *TextLabel15;
    QSpinBox *kcfg_autoEjectDelay;
    Q3GroupBox *kcfg_enableTempDir;
    QHBoxLayout *hboxLayout2;
    KUrlRequester *kcfg_tempDir;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *RipConfig)
    {
    RipConfig->setObjectName(QString::fromUtf8("RipConfig"));
    vboxLayout = new QVBoxLayout(RipConfig);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    kcfg_beepAfterRip = new QCheckBox(RipConfig);
    kcfg_beepAfterRip->setObjectName(QString::fromUtf8("kcfg_beepAfterRip"));

    vboxLayout->addWidget(kcfg_beepAfterRip);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    TextLabel14 = new QLabel(RipConfig);
    TextLabel14->setObjectName(QString::fromUtf8("TextLabel14"));
    TextLabel14->setWordWrap(false);

    hboxLayout->addWidget(TextLabel14);

    kcfg_maxWavFiles = new QSpinBox(RipConfig);
    kcfg_maxWavFiles->setObjectName(QString::fromUtf8("kcfg_maxWavFiles"));
    kcfg_maxWavFiles->setMaximum(99999);

    hboxLayout->addWidget(kcfg_maxWavFiles);


    vboxLayout->addLayout(hboxLayout);

    kcfg_autoEjectAfterRip = new QCheckBox(RipConfig);
    kcfg_autoEjectAfterRip->setObjectName(QString::fromUtf8("kcfg_autoEjectAfterRip"));

    vboxLayout->addWidget(kcfg_autoEjectAfterRip);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    TextLabel15 = new QLabel(RipConfig);
    TextLabel15->setObjectName(QString::fromUtf8("TextLabel15"));
    TextLabel15->setEnabled(false);
    TextLabel15->setWordWrap(false);

    hboxLayout1->addWidget(TextLabel15);

    kcfg_autoEjectDelay = new QSpinBox(RipConfig);
    kcfg_autoEjectDelay->setObjectName(QString::fromUtf8("kcfg_autoEjectDelay"));
    kcfg_autoEjectDelay->setEnabled(false);
    kcfg_autoEjectDelay->setMaximum(300);

    hboxLayout1->addWidget(kcfg_autoEjectDelay);


    vboxLayout->addLayout(hboxLayout1);

    kcfg_enableTempDir = new Q3GroupBox(RipConfig);
    kcfg_enableTempDir->setObjectName(QString::fromUtf8("kcfg_enableTempDir"));
    kcfg_enableTempDir->setCheckable(true);
    kcfg_enableTempDir->setChecked(false);
    kcfg_enableTempDir->setColumnLayout(0, Qt::Vertical);
    kcfg_enableTempDir->layout()->setSpacing(6);
    kcfg_enableTempDir->layout()->setMargin(0);
    hboxLayout2 = new QHBoxLayout(kcfg_enableTempDir->layout());
    hboxLayout2->setAlignment(Qt::AlignTop);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    hboxLayout2->setMargin(0);
    kcfg_tempDir = new KUrlRequester(kcfg_enableTempDir);
    kcfg_tempDir->setObjectName(QString::fromUtf8("kcfg_tempDir"));

    hboxLayout2->addWidget(kcfg_tempDir);


    vboxLayout->addWidget(kcfg_enableTempDir);

    spacerItem = new QSpacerItem(20, 280, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    TextLabel14->setBuddy(kcfg_maxWavFiles);
    TextLabel15->setBuddy(kcfg_autoEjectDelay);
    QWidget::setTabOrder(kcfg_beepAfterRip, kcfg_maxWavFiles);
    QWidget::setTabOrder(kcfg_maxWavFiles, kcfg_autoEjectAfterRip);
    QWidget::setTabOrder(kcfg_autoEjectAfterRip, kcfg_autoEjectDelay);

    retranslateUi(RipConfig);

    QSize size(525, 526);
    size = size.expandedTo(RipConfig->minimumSizeHint());
    RipConfig->resize(size);

    QObject::connect(kcfg_autoEjectAfterRip, SIGNAL(toggled(bool)), kcfg_autoEjectDelay, SLOT(setEnabled(bool)));
    QObject::connect(kcfg_autoEjectAfterRip, SIGNAL(toggled(bool)), TextLabel15, SLOT(setEnabled(bool)));

    QMetaObject::connectSlotsByName(RipConfig);
    } // setupUi

    void retranslateUi(QWidget *RipConfig)
    {
    kcfg_beepAfterRip->setText(tr2i18n("&Beep after each rip is done", 0));
    TextLabel14->setText(tr2i18n("&Number of tracks to rip at a time:", 0));
    kcfg_autoEjectAfterRip->setText(tr2i18n("&Auto-eject CD after last track is ripped", 0));
    TextLabel15->setText(tr2i18n("Auto-&eject delay:", 0));
    kcfg_autoEjectDelay->setSuffix(tr2i18n(" seconds", 0));
    kcfg_enableTempDir->setTitle(tr2i18n("Default Temporary Directory", 0));
    Q_UNUSED(RipConfig);
    } // retranslateUi

};

namespace Ui {
    class RipConfig: public Ui_RipConfig {};
} // namespace Ui

class RipConfig : public QWidget, public Ui::RipConfig
{
    Q_OBJECT

public:
    RipConfig(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~RipConfig();

protected slots:
    virtual void languageChange();

};

#endif // RIPCONFIG_H

